Kerbal Space Program - Bug #25701

Science item from a kerbal's inventory disappears completely when you board a vessel with it,

throws NREs on mouseover.
07/03/2020 12:44 PM - dok_377

Status: Confirmed Start date: 07/03/2020
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.10.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game

Description

Pretty easy one to reproduce. Here are the steps:

1. Make a simple craft that consists of a capsule with a kerbal inside and put a science container on top of it.

2. Put a science item into the container.
3. Launch the craft.

4. Get out with a kerbal and take a science item, put it into kerbal's inventory.

5. Board a capsule.

The science item from the kerbal's inventory will disappear completely (will not return to the original container) and when you
mouseover the original container slot, it will throw NREs to the console.
In 1.9 when you board a vessel with a full inventory, the item will just return to its original slot and nothing will happen.

A simple video demo, less than a minute long: https://youtu.be/Hm1ZwvsvwgA

History

#2 - 07/15/2020 04:19 PM - RafaHdz
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 12/18/2020 06:59 PM - dok_377

This is fixed in 1.11 due to inventory system changes.
